
//! Autogenerated weights for `pallet_vesting`
//!
//! THIS FILE WAS AUTO-GENERATED USING THE SUBSTRATE BENCHMARK CLI VERSION 4.0.0-dev
//! DATE: 2021-11-15, STEPS: `50`, REPEAT: 20, LOW RANGE: `[]`, HIGH RANGE: `[]`
//! EXECUTION: Some(Wasm), WASM-EXECUTION: Compiled, CHAIN: Some("xxnetwork-dev"), DB CACHE: 128

// Executed Command:
// ./xxnetwork-chain
// benchmark
// --chain=xxnetwork-dev
// --steps=50
// --repeat=20
// --pallet=pallet_vesting
// --extrinsic=*
// --execution=wasm
// --wasm-execution=compiled
// --heap-pages=4096
// --output=./weights/pallet_vesting.rs


#![cfg_attr(rustfmt, rustfmt_skip)]
#![allow(unused_parens)]
#![allow(unused_imports)]

use frame_support::{traits::Get, weights::Weight};
use sp_std::marker::PhantomData;

/// Weight functions for `pallet_vesting`.
pub struct WeightInfo<T>(PhantomData<T>);
impl<T: frame_system::Config> pallet_vesting::WeightInfo for WeightInfo<T> {
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	fn vest_locked(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(44_013_000 as u64)
			// Standard Error: 1_000
			.saturating_add(Weight::from_ref_time(134_000 as u64).saturating_mul(l as u64))
			// Standard Error: 2_000
			.saturating_add(Weight::from_ref_time(140_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(2 as u64))
			.saturating_add(T::DbWeight::get().writes(2 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	fn vest_unlocked(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(44_486_000 as u64)
			// Standard Error: 1_000
			.saturating_add(Weight::from_ref_time(115_000 as u64).saturating_mul(l as u64))
			// Standard Error: 3_000
			.saturating_add(Weight::from_ref_time(77_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(2 as u64))
			.saturating_add(T::DbWeight::get().writes(2 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn vest_other_locked(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(46_201_000 as u64)
			// Standard Error: 8_000
			.saturating_add(Weight::from_ref_time(133_000 as u64).saturating_mul(l as u64))
			// Standard Error: 16_000
			.saturating_add(Weight::from_ref_time(43_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(3 as u64))
			.saturating_add(T::DbWeight::get().writes(3 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn vest_other_unlocked(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(43_613_000 as u64)
			// Standard Error: 1_000
			.saturating_add(Weight::from_ref_time(124_000 as u64).saturating_mul(l as u64))
			// Standard Error: 2_000
			.saturating_add(Weight::from_ref_time(84_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(3 as u64))
			.saturating_add(T::DbWeight::get().writes(3 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	fn vested_transfer(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(77_254_000 as u64)
			// Standard Error: 4_000
			.saturating_add(Weight::from_ref_time(126_000 as u64).saturating_mul(l as u64))
			// Standard Error: 8_000
			.saturating_add(Weight::from_ref_time(82_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(3 as u64))
			.saturating_add(T::DbWeight::get().writes(3 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: System Account (r:2 w:2)
	// Storage: Balances Locks (r:1 w:1)
	fn force_vested_transfer(l: u32, _s: u32, ) -> Weight {
		Weight::from_ref_time(78_763_000 as u64)
			// Standard Error: 4_000
			.saturating_add(Weight::from_ref_time(113_000 as u64).saturating_mul(l as u64))
			.saturating_add(T::DbWeight::get().reads(4 as u64))
			.saturating_add(T::DbWeight::get().writes(4 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn not_unlocking_merge_schedules(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(47_972_000 as u64)
			// Standard Error: 6_000
			.saturating_add(Weight::from_ref_time(136_000 as u64).saturating_mul(l as u64))
			// Standard Error: 13_000
			.saturating_add(Weight::from_ref_time(60_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(3 as u64))
			.saturating_add(T::DbWeight::get().writes(3 as u64))
	}
	// Storage: Vesting Vesting (r:1 w:1)
	// Storage: Balances Locks (r:1 w:1)
	// Storage: System Account (r:1 w:1)
	fn unlocking_merge_schedules(l: u32, s: u32, ) -> Weight {
		Weight::from_ref_time(47_109_000 as u64)
			// Standard Error: 1_000
			.saturating_add(Weight::from_ref_time(113_000 as u64).saturating_mul(l as u64))
			// Standard Error: 3_000
			.saturating_add(Weight::from_ref_time(117_000 as u64).saturating_mul(s as u64))
			.saturating_add(T::DbWeight::get().reads(3 as u64))
			.saturating_add(T::DbWeight::get().writes(3 as u64))
	}
}
